Subject: Re: bug#21557: 25.0.50; HTML renders text invisible

From: Eli Zaretskii <[email-masked]>
Date: Mon, 28 Sep 2015 11:40:12 +0300

> Date: Mon, 28 Sep 2015 17:04:31 +0900
> From: Katsumi Yamaoka <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> On Mon, 28 Sep 2015 10:31:49 +0300, Eli Zaretskii wrote:
> > Does shr-color-visible-luminance-min have any effect on a TTY?  I
> > think Richard is using text-mode frames that support only 8 colors.
> 
> Ooops.  I verified it doesn't help on a TTY.
> So, how about using lynx instead of shr?

I think an Emacs-only solution would be preferable.  Can
shr-color-visible-luminance-min be adapted to a small number of
colors?  The simplest would perhaps be just overriding the foreground
color with something that is legible on the background color.